STRUCT W1_REG_NUM(9)

NAME
struct_w1_reg_num - broken out slave device id

SYNOPSIS

struct w1_reg_num {
#if defined(__LITTLE_ENDIAN_BITFIELD)
  __u64 family:8;
  __u64 id:48;
  __u64 crc:8;
#elif defined(__BIG_ENDIAN_BITFIELD)
  __u64 crc:8;
  __u64 id:48;
  __u64 family:8;
#else
#error "Please fix <asm/byteorder.h>"
#endif
};

MEMBERS

family
    identifies the type of device

id
    along with family is the unique device id

crc
    checksum of the other bytes

crc
    checksum of the other bytes

id
    along with family is the unique device id

family
    identifies the type of device

AUTHOR

David Fries <David@Fries.net>
    Author.

COPYRIGHT